This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 469349 - (CVE-2008-4309) CVE-2008-4309 net-snmp: numresponses calculation integer overflow in snmp_agent.c
CVE-2008-4309 net-snmp: numresponses calculation integer overflow in snmp_age...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=upstream,reported=20081031,pub...
: Security
Depends On: 469369 469370 469371 469373 469374 469406
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 09:28 EDT by Tomas Hoger
Modified: 2016-03-04 05:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 10:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-31 09:28:14 EDT
Oscar Mira-Sanchez reported (via TippingPoint/ZDI) to Net-SNMP upstream an integer overflow in the numresponses calculation in snmp_agent.c.  Size of memory requirement for bulkcache array is calculated based on the values form an SNMP request without properly checking for integer overflows, resulting in an insufficient memory allocation and heap-based buffer overflow.

  agent/snmp_agent.c:

    numresponses = asp->pdu->errindex * r;

    [ ... ]

    asp->bulkcache =
        (netsnmp_variable_list **) malloc(numresponses *
                                          sizeof(struct
                                                 varbind_list *));

Issue can be triggered by an SNMP get request.
Comment 6 Tomas Hoger 2008-10-31 11:33:43 EDT
Upstream SVN commit:
http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=rev&revision=17272
Comment 7 Josh Bressers 2008-10-31 11:35:57 EDT
This is going to be RHSA-2008:0971
Comment 10 Josh Bressers 2008-10-31 15:04:31 EDT
This is public:
http://sourceforge.net/forum/forum.php?forum_id=882903
Comment 11 Fedora Update System 2008-11-03 04:33:11 EST
net-snmp-5.4.1-8.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/net-snmp-5.4.1-8.fc8
Comment 12 Fedora Update System 2008-11-03 04:34:47 EST
net-snmp-5.4.1-19.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/net-snmp-5.4.1-19.fc9
Comment 13 Fedora Update System 2008-11-05 23:04:54 EST
net-snmp-5.4.1-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-11-05 23:05:37 EST
net-snmp-5.4.1-19.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Tomas Hoger 2008-11-26 04:09:23 EST
net-snmp-5.4.2.1-1.fc10 did not make it to F10 before release and will need to be submitted as an update via bodhi.
Comment 18 Fedora Update System 2008-11-26 08:21:48 EST
net-snmp-5.4.2.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/net-snmp-5.4.2.1-1.fc10
Comment 19 Fedora Update System 2008-11-26 21:10:20 EST
net-snmp-5.4.2.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.